## Function `polarDistanceRadians( ra1, dec1, radius1, ra2, dec2, radius2 )`

Description:
  Calculates the distance in three dimensional space between two points specified in spherical polar coordinates.

Parameters:
  `ra1` (floating point)
    right ascension of point 1 in radians
  `dec1` (floating point)
    declination of point1 in radians
  `radius1` (floating point)
    distance from origin of point1
  `ra2` (floating point)
    right ascension of point 2 in radians
  `dec2` (floating point)
    declination of point2 in radians
  `radius2` (floating point)
    distance from origin of point2

Return Value (floating point):
  the linear distance between point1 and point2; units are as for `radius1` and `radius2`

Signature:
  `double polarDistanceRadians(double, double, double, double, double, double)`